Debian Bug report logs - #586929
packages not cached on failed build

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Wed, 23 Jun 2010 15:39:11 UTC

Severity: minor

Fixed in version live-build/3.0~a26-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Live Project <debian-live@lists.debian.org>:
Bug#586929; Package live-helper. (Wed, 23 Jun 2010 15:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Live Project <debian-live@lists.debian.org>. (Wed, 23 Jun 2010 15:39:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: packages not cached on failed build
Date: Wed, 23 Jun 2010 17:38:43 +0200
Package: live-helper
Version: 2.0~a14-1
Severity: normal


When build fails the chroot is left as is but the downloaded packages
are not added to the chroot package cache. The same probably applies to
bootstrap, etc.

Obviously, some of the packages so cached might be useless when the
build fails. On the other hand, some mey be still useful and
redownloading them is a problem over a slower internet connection.


-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                 1.0.10lenny1 Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  cpio                          2.9-13     GNU cpio -- a program to manage ar
ii  gettext-base                  0.17-4     GNU Internationalization utilities
ii  gnu-fdisk                     1.2-1      Linux fdisk replacement based on l

Versions of packages live-helper suggests:
ii  dosfstools     3.0.1-1                   utilities for making and checking 
ii  fakeroot       1.11                      Gives a fake root environment
ii  genisoimage    9:1.1.10-1                Creates ISO-9660 CD-ROM filesystem
ii  grub           0.97-47lenny2             GRand Unified Bootloader (Legacy v
ii  memtest86      3.5-2.2                   thorough real-mode memory tester
ii  memtest86+     4.00-2.3                  thorough real-mode memory tester
ii  mtools         3.9.11-1                  Tools for manipulating MSDOS files
ii  parted         1.8.8.git.2008.03.24-11.1 The GNU Parted disk partition resi
ii  squashfs-tools 1:3.3-7                   Tool to create and append to squas
ii  syslinux       2:3.86+dfsg-4             utilities for the syslinux bootloa
pn  uuid-runtime   <none>                    (no description available)
pn  win32-loader   <none>                    (no description available)

-- no debconf information




Severity set to 'minor' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 23 Jun 2010 23:48:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'live-helper' to 'live-build'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 14:45:14 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-helper/2.0~a14-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 14:45:15 GMT) Full text and rfc822 format available.

Changed Bug title to 'packages not cached on failed build' from 'live-helper: packages not cached on failed build' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 14:45:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#586929; Package live-build. (Tue, 19 Jul 2011 09:15:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 19 Jul 2011 09:15:55 GMT) Full text and rfc822 format available.

Message #18 received at 586929@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 586929@bugs.debian.org, control@bugs.debian.org
Subject: fixed in git
Date: Tue, 19 Jul 2011 11:13:58 +0200
tag 586929 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 19 Jul 2011 09:16:32 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 05 Aug 2011 06:21:04 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Fri, 05 Aug 2011 06:21:04 GMT) Full text and rfc822 format available.

Message #25 received at 586929-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 586929-close@bugs.debian.org
Subject: Bug#586929: fixed in live-build 3.0~a26-1
Date: Fri, 05 Aug 2011 06:17:38 +0000
Source: live-build
Source-Version: 3.0~a26-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive:

live-build-cgi_3.0~a26-1_all.deb
  to main/l/live-build/live-build-cgi_3.0~a26-1_all.deb
live-build-cron_3.0~a26-1_all.deb
  to main/l/live-build/live-build-cron_3.0~a26-1_all.deb
live-build_3.0~a26-1.debian.tar.gz
  to main/l/live-build/live-build_3.0~a26-1.debian.tar.gz
live-build_3.0~a26-1.dsc
  to main/l/live-build/live-build_3.0~a26-1.dsc
live-build_3.0~a26-1_all.deb
  to main/l/live-build/live-build_3.0~a26-1_all.deb
live-build_3.0~a26.orig.tar.gz
  to main/l/live-build/live-build_3.0~a26.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 586929@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 04 Aug 2011 21:51:37 +0200
Source: live-build
Binary: live-build live-build-cgi live-build-cron
Architecture: source all
Version: 3.0~a26-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Debian Live - System Build Scripts
 live-build-cgi - Debian Live - System Build Scripts (cgi frontend)
 live-build-cron - Debian Live - System Build Scripts (cron autobuilder)
Closes: 586929 607225 627332 627716 630088 631281 633052 633356 636208 636440
Changes: 
 live-build (3.0~a26-1) experimental; urgency=low
 .
   [ Richard Nelson ]
   * Update VERSION in common.sh to match last release.
 .
   [ Daniel Baumann ]
   * Skipping binary_linux-image if no kernel was choosen to be installed
     deliberately, thanks to Adam Conrad <adconrad@ubuntu.com>.
   * Moving archives meta data arround in source tree.
   * Correcting filename of live.debian.net archive file.
   * Adding hook for calling update.mlocate, thanks to Colin Watson
     <cjwatson@ubuntu.com> (Closes: #627332).
   * Adding hook for calling update-apt-xapian-index, thanks to Colin
     Watson <cjwatson@ubuntu.com> (Closes: #627716).
   * Adding hook for removing gnome icon cache, thanks to Colin Watson
     <cjwatson@ubuntu.com> (Closes: #630088).
   * Adding hook to remove python py files, thanks to Colin Watson
     <cjwatson@ubuntu.com> (Closes: #631281).
   * Using --no-check-gpg option when using debootstrap >= 1.0.30 and apt
     secure is disabled, thanks to Eugenio Paolantonio <me@medesimo.eu>
     (Closes: #633356).
   * Also unmounting /run in lb_clean eventhough it's not really needed
     anyway but let's be on the caucious side (Closes: #633052).
   * Adding kubuntu mode in order to have different defadefault hooks
     enabled for ubuntu and kubuntu (needed for #630088).
   * Consolidating local hooks for chroot and binary into
     config/hooks/*.{chroot,binary}.
   * Numbering embedded hooks.
   * Saving packages in cache even when failing or interrupting a build
     (Closes: #586929).
   * Enabling hooks based on the mode we're building for.
   * Calling dpkg-divert with --quiet in chroot_dpkg.
   * Correcting comments in chroot_hooks to match usage.
   * Reworking binary hooks helper.
 .
   [ Cody A.W. Somerville ]
   * Fixing corruption of usb binary images caused by trying to modify
     flags in partition table when image is mounted with offset.
   * Updating lb_binary_linux-image to only copy over kernel and initrd
     if LB_LINUX_PACKAGES doesn't equal 'none'.
   * Appending 'linux32' to LB_ROOT_COMMAND if 'uname -m' is x86_64 and
     LB_ARCHITECTURE is i386.
 .
   [ Daniel Baumann ]
   * Updating cron scripts.
   * Compacting copyright file.
   * Reworking debconf stuff of merging former live-autobuild-manual and
     live-autobuild-images into a single live-build-cron.
   * Avoid to hijack root-command with linux32, rather set use it in the
     chroot function only.
   * Adding a comment to the chroot calls in excludes handling of
     binary_chroot whey the chroot function is not used.
 .
   [ Cody A.W. Somerville ]
   * Setting partition flags in source_usb after creating the filesystem
     in order to avoid bug in parted that makes them forget the flags.
   * Adding function for more resilient detachment of loopback devices.
 .
   [ Daniel Baumann ]
   * Calling mkdir with -p to avoid build failures with multiple kernels
     on disk info in ubuntu mode, thanks to Cody A.W. Somerville
     <cody.somerville@canonical.com>.
   * Correcting uuid extraction from initrds in ubuntu mode to work from
     within binary so that it is cleaned up by lb_clean on failed builds.
   * Setting default compression levels to -6 for gzip, bzip, lzip and
     lzma tarballs.
 .
   [ Cody A.W. Somerville ]
   * Adding paths for remote debian-installer images on armel.
   * Making config tree available to chroot hooks.
 .
   [ Daniel Baumann ]
   * Updating derivatives handling for d-i mirror defaults to better
     match the reality that by default, most derivatives are not going to
     actually rebuild d-i.
   * Adding mdadm manually to extra packages for binary pool for being
     used by debian-installer (Closes: #607225).
   * Add forgotten handling of already set chroot_hooks in defaults.
   * Updating grub packages list in binary_debian-installer.
   * Using 'live' rather than 'incomplete' for cd_type in .disk on images
     that include debian-installer with live-installer udeb.
   * Simplify bind mounting of the config tree during local hooks are run
     by using read-only bind mounts.
   * Removing unmaintained studio package lists.
   * Correcting debconf variables.
   * Updating TODO for live-build-cron.
   * Correcting typo in lb_config for program variable, thanks to
     intrigeri <intrigeri@boum.org>.
   * Adding virtual-hdd in lb_config manpage as binary image type.
   * Handle package-lists parameter for lb_config in live-build-cron-
     images script for both lb version 2.x and 3.x.
   * Setting default kernel flavours for armel to all available flavour
     due to the nature of armel images (single rootfs image, multiple
     kernel images).
   * Removing debian-instaler-distribution selection from live-build-
     cron-images for the time being.
 .
   [ Ben Armstrong ]
   * Fixing/adding cross-references for live-boot and live-config.
 .
   [ Daniel Baumann ]
   * Correcting cross-references to live-boot and live-config in
     lb_config manpage.
   * Adjusting check for target directory in live-build-cron scripts to
     fail if non-directories are used, thanks to Ben Armstrong
     <synrg@debian.org>.
 .
   [ intrigeri ]
   * Cleaning up temporary directories at the same time as other cruft.
 .
   [ Daniel Baumann ]
   * Removing -r from short options in lb_config (Closes: #636208).
   * Adding hook to update apt-file cache (Closes: #636440).
   * Renumbering hook files.
   * Adding missing 'set -e' in remove-python-py.chroot hook.
   * Correcting indentiation in hook defaults assignment.
Checksums-Sha1: 
 cea6a8370850f331bb41d7c14e6a1073bf169982 1299 live-build_3.0~a26-1.dsc
 ef3e544cb6208b01b4e43919d17b81f936e93a5d 1871295 live-build_3.0~a26.orig.tar.gz
 76bb2f310e11d78b64c42d599ed9521456e59a59 47378 live-build_3.0~a26-1.debian.tar.gz
 c3f8ab5570c0ff8a66b2591bbacdf19889784cb9 1136604 live-build_3.0~a26-1_all.deb
 48e3fa890c4da6e3fa873a003f12e7a71fa54ad2 60754 live-build-cgi_3.0~a26-1_all.deb
 fd95849570e8120d911955b6b9dadec8a6739631 60772 live-build-cron_3.0~a26-1_all.deb
Checksums-Sha256: 
 b4a40025d6b176864a887d5abd6c6c771c6a124c718387bce3e21fbdf7b69c9e 1299 live-build_3.0~a26-1.dsc
 02c23763237a137455844f6ef0626f735e1d70e11b14f52ce622238f6bc7be19 1871295 live-build_3.0~a26.orig.tar.gz
 30785186808273c3a61bb7020527c19ab90afba6ce88d8fa33c6056c10e9f343 47378 live-build_3.0~a26-1.debian.tar.gz
 77d7a25cfe20e93a867a232b72ea6a7cb05cff4df40616bf4e790f03c7d42e3e 1136604 live-build_3.0~a26-1_all.deb
 2d247bd7b42cf5c10787ef7e0bf82cfb215b6f0906029117e57acee8e2621287 60754 live-build-cgi_3.0~a26-1_all.deb
 c6e13f93375a4fc82df0ab4027ed2f2984a4032a3cf118e761978a941f38a787 60772 live-build-cron_3.0~a26-1_all.deb
Files: 
 0382e832aa44a068c21bde942e1cd271 1299 misc optional live-build_3.0~a26-1.dsc
 b622c099838a6a00f3d2288c29270205 1871295 misc optional live-build_3.0~a26.orig.tar.gz
 d82b446062e1de54b27e51ab7e962730 47378 misc optional live-build_3.0~a26-1.debian.tar.gz
 d5aca919b8ba0a020e1d8e67b075a82a 1136604 misc optional live-build_3.0~a26-1_all.deb
 d04e86ff88f3bedb7f5b30ce1dc4722a 60754 misc optional live-build-cgi_3.0~a26-1_all.deb
 7b12f869311214368767c32525fa4766 60772 misc optional live-build-cron_3.0~a26-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk47iZcACgkQ+C5cwEsrK55A3QCglv6HDJazJMpFNy8rJGjpzjvM
UNgAoJDk3DMmXr+djagq15x2iOE248tf
=ygZ/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Oct 2011 07:35:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:22:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.